
flow3.typo3.org - Bug # 185

Status: Resolved Priority: Should have
Author: Rasmus Skjoldan Category: HTML / CSS
Created: 2008-02-07 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: Text rendering on documentation/reference/component-manager/ (possible duplicate)
Description

See attached.

From http://flow3.typo3.org/documentation/reference/component-manager/

History
#1 - 2008-02-07 23:40 - Karsten Dambekalns
- Status changed from New to Needs Feedback

Do you have JS enabled? The width is adjusted by some JS Julle wrote... Oh, and, what browser are you using?

#2 - 2008-02-07 23:43 - Rasmus Skjoldan

Sorry - might be me. I'm on FF beta3 right now.

#3 - 2008-02-07 23:59 - Karsten Dambekalns
- Target version set to 1.0.0

#4 - 2008-02-08 09:00 - Karsten Dambekalns
- Status changed from Needs Feedback to Rejected

Considering a bug in FF3, no change required.

#5 - 2008-02-15 11:44 - Robert Lemke
- File Screenshot1.png added
- File Screenshot2.png added
- Status changed from Rejected to New

It appeared again.

Here are two screenshots made with Safari 3.0.4 on Mac (JS enabled!).

Page is: http://flow3.typo3.org/documentation/reference/aop-framework/

#6 - 2008-02-15 11:46 - Robert Lemke
Weird: I can only reproduce the bug if I click on http://flow3.typo3.org/documentation/reference/aop-framework/ directly.
If I select a different page through the site navigation and go back to the AOP framework documentation by clicking the link in the 2nd level nav, it
works fine.

#7 - 2008-02-15 11:49 - Robert Lemke
- Target version deleted (1.0.0)

#8 - 2008-02-15 12:17 - Thomas Hempel

I don't know jQuery that well but does it support domready events?
If it does, I would propose to do the "$(doc.load);" in bells-and-whistles.js" on domready. To me it looks like the Browser did not rendered the page
completely when the resize starts.

Greets,
Thomas

P.S.: This is just a guess because I can't reproduce this only on first load and if I clear my browser cache.

#9 - 2008-07-02 13:03 - Stefano Cecere

problem still alive with latest Safari (3.1.2)

http://flow3.typo3.org/documentation/reference/aop-framework/

:(

#10 - 2008-07-02 16:01 - Karsten Dambekalns
- Estimated time set to 0.00

It could be that jQuery stumbles over a malformed DOM, because the HTML contains mismtatched tags:

Unmatched </br> encountered. Ignoring tag.
http://flow3.typo3.org/documentation/reference/aop-framework/ (line 256)
Unmatched </img> encountered. Ignoring tag.
http://flow3.typo3.org/documentation/reference/aop-framework/ (line 275)
Unmatched </hr> encountered. Ignoring tag.
http://flow3.typo3.org/documentation/reference/aop-framework/ (line 582)

This should be fixed in the XSLT generating the HTML.

#11 - 2009-01-05 18:15 - Karsten Dambekalns
- Category set to HTML / CSS
- Assigned To changed from Karsten Dambekalns to Christian Jul Jensen

#12 - 2009-06-17 01:05 - Berit Hlubek
The notation $(function); seems to behave like $(document).ready() so I'd think that a missing domready event couldn't be the problem.

I tested everything locally width valid source code, but the problem is still present on first pageload. I'll go on looking for the problem.

#13 - 2009-07-30 18:06 - Karsten Dambekalns
- Status changed from New to Resolved
- Assigned To changed from Christian Jul Jensen to Karsten Dambekalns
- % Done changed from 0 to 100

Since the resize stuff is gone, this is solved.

Files
Picture_11.png 79.1 kB 2008-02-07 Rasmus Skjoldan
Screenshot1.png 339.6 kB 2008-02-15 Robert Lemke
Screenshot2.png 84.9 kB 2008-02-15 Robert Lemke
